Skip to main content
GET
/
benchmarks
List Benchmarks
curl --request GET \
  --url https://openrouter.ai/api/v1/benchmarks \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://openrouter.ai/api/v1/benchmarks"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://openrouter.ai/api/v1/benchmarks', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "agentic_index": 58.3,
      "coding_index": 65.8,
      "display_name": "GPT-4o",
      "intelligence_index": 71.2,
      "model_permaslug": "openai/gpt-4o",
      "pricing": {
        "completion": "0.00001",
        "prompt": "0.0000025"
      },
      "source": "artificial-analysis"
    }
  ],
  "meta": {
    "as_of": "2026-06-03T12:00:00Z",
    "citation": null,
    "model_count": 1,
    "source": null,
    "source_url": null,
    "task_type": null,
    "version": "v1"
  }
}
{
  "error": {
    "code": 400,
    "message": "Invalid request parameters"
  }
}
{
  "error": {
    "code": 401,
    "message": "Missing Authentication header"
  }
}
{
  "error": {
    "code": 429,
    "message": "Rate limit exceeded"
  }
}
{
  "error": {
    "code": 500,
    "message": "Internal Server Error"
  }
}

Authorizations

Authorization
string
header
required

API key as bearer token in Authorization header

Query Parameters

source
enum<string>

Benchmark source to query. Determines the shape of the returned items. When omitted, returns results from all sources.

Available options:
artificial-analysis,
design-arena
Example:

"artificial-analysis"

task_type
enum<string>

Filter results by task type. For Artificial Analysis, maps to the corresponding index. For Design Arena, maps to the matching category.

Available options:
coding,
intelligence,
agentic
Example:

"coding"

arena
enum<string>

Design Arena only: arena to query. Defaults to models when source is design-arena.

Available options:
models,
builders,
agents
Example:

"models"

category
string

Design Arena only: category within the arena (e.g. codecategories, uicomponent, gamedev, 3d, dataviz, image, video, svg). When omitted, returns all categories.

Example:

"codecategories"

max_results
integer

Maximum number of items to return. When omitted, all matching results are returned.

Required range: x >= 1
Example:

50

Response

Benchmark results filtered by the specified source and optional task type.

data
object[]
required
Example:
{
  "agentic_index": 58.3,
  "coding_index": 65.8,
  "display_name": "GPT-4o",
  "intelligence_index": 71.2,
  "model_permaslug": "openai/gpt-4o",
  "pricing": {
    "completion": "0.00001",
    "prompt": "0.0000025"
  },
  "source": "artificial-analysis"
}
meta
object
required
Example:
{
  "as_of": "2026-06-03T12:00:00Z",
  "citation": "Source: Artificial Analysis (artificialanalysis.ai) via OpenRouter (openrouter.ai/rankings).",
  "model_count": 50,
  "source": "artificial-analysis",
  "source_url": "https://artificialanalysis.ai",
  "task_type": null,
  "version": "v1"
}